## org.eclipse.uml2.uml
Interface DeploymentTarget

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  Device, EnumerationLiteral, ExecutionEnvironment, ExtensionEnd, InstanceSpecification, Node, Port, Property

    public interface DeploymentTarget

extends NamedElement

A representation of the model object 'Deployment Target'. A deployment target is the location for a deployed artifact.

The following features are supported:

- `Deployment`
- `Deployed Element`

See Also:
  `UMLPackage.getDeploymentTarget()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Deployment` `createDeployment(java.lang.String name)` Creates a new `Deployment`, with the specified 'Name', and appends it to the 'Deployment' containment reference list
`PackageableElement` `getDeployedElement(java.lang.String name)` Retrieves the first `PackageableElement` with the specified 'Name' from the 'Deployed Element' reference list
`PackageableElement` `getDeployedElement(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `PackageableElement` with the specified 'Name' from the 'Deployed Element' reference list
`org.eclipse.emf.common.util.EList<PackageableElement>` `getDeployedElements()` Returns the value of the 'Deployed Element' reference list.
`Deployment` `getDeployment(java.lang.String name)` Retrieves the first `Deployment` with the specified 'Name' from the 'Deployment' containment reference list
`Deployment` `getDeployment(java.lang.String name, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `Deployment` with the specified 'Name' from the 'Deployment' containment reference list
`org.eclipse.emf.common.util.EList<Deployment>` `getDeployments()` Returns the value of the 'Deployment' containment reference list.

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDeployments

    org.eclipse.emf.common.util.EList<Deployment> getDeployments()

  Returns the value of the 'Deployment' containment reference list. The list contents are of type `Deployment`. It is bidirectional and its opposite is '`Location`'.

  This feature subsets the following features:

  - '`Owned Element`'
  - '`Client Dependency`'
  The set of Deployments for a DeploymentTarget.

  Returns:
    the value of the 'Deployment' containment reference list.
  See Also:
    `UMLPackage.getDeploymentTarget_Deployment()`, `Deployment.getLocation()`

### createDeployment

    Deployment createDeployment(java.lang.String name)

  Creates a new `Deployment`, with the specified 'Name', and appends it to the 'Deployment' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Deployment`, or `null`.
  Returns:
    The new `Deployment`.
  See Also:
    `getDeployments()`

### getDeployment

    Deployment getDeployment(java.lang.String name)

  Retrieves the first `Deployment` with the specified 'Name' from the 'Deployment' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Deployment` to retrieve, or `null`.
  Returns:
    The first `Deployment` with the specified 'Name', or `null`.
  See Also:
    `getDeployments()`

### getDeployment

    Deployment getDeployment(java.lang.String name,
                             boolean ignoreCase,
                             boolean createOnDemand)

  Retrieves the first `Deployment` with the specified 'Name' from the 'Deployment' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Deployment` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `Deployment` on demand if not found.
  Returns:
    The first `Deployment` with the specified 'Name', or `null`.
  See Also:
    `getDeployments()`

### getDeployedElements

    org.eclipse.emf.common.util.EList<PackageableElement> getDeployedElements()

  Returns the value of the 'Deployed Element' reference list. The list contents are of type `PackageableElement`. The set of elements that are manifested in an Artifact that is involved in Deployment to a DeploymentTarget.

  Returns:
    the value of the 'Deployed Element' reference list.
  See Also:
    `UMLPackage.getDeploymentTarget_DeployedElement()`

### getDeployedElement

    PackageableElement getDeployedElement(java.lang.String name)

  Retrieves the first `PackageableElement` with the specified 'Name' from the 'Deployed Element' reference list.

  Parameters:
    `name` - The 'Name' of the `PackageableElement` to retrieve, or `null`.
  Returns:
    The first `PackageableElement` with the specified 'Name', or `null`.
  See Also:
    `getDeployedElements()`

### getDeployedElement

    PackageableElement getDeployedElement(java.lang.String name,
                                          boolean ignoreCase,
                                          org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `PackageableElement` with the specified 'Name' from the 'Deployed Element' reference list.

  Parameters:
    `name` - The 'Name' of the `PackageableElement` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `PackageableElement` to retrieve, or `null`.
  Returns:
    The first `PackageableElement` with the specified 'Name', or `null`.
  See Also:
    `getDeployedElements()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.